aboutsummaryrefslogtreecommitdiff
path: root/darwin-bootstrap/DEBIAN/postrm
diff options
context:
space:
mode:
authorcomex2015-03-01 23:21:12 -0500
committercomex2015-03-01 23:21:12 -0500
commit1c1c09d9f126b4421658558ae00f6e0e76b451c3 (patch)
tree2ce19639fa9aad181cdf576b6dccb508133eb269 /darwin-bootstrap/DEBIAN/postrm
parentA number of critical fixes painstakingly discovered in the slowest way possible. (diff)
downloadsubstitute-1c1c09d9f126b4421658558ae00f6e0e76b451c3.tar.gz
Add extrainst_ and postrm
Not actually tested, because I'm too tired tonight to try setting up a real repository (as opposed to dpkg -i).
Diffstat (limited to '')
-rwxr-xr-xdarwin-bootstrap/DEBIAN/postrm16
1 files changed, 16 insertions, 0 deletions
diff --git a/darwin-bootstrap/DEBIAN/postrm b/darwin-bootstrap/DEBIAN/postrm
new file mode 100755
index 0000000..5eec6f8
--- /dev/null
+++ b/darwin-bootstrap/DEBIAN/postrm
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# for now, always reboot on install/uninstall
+
+# <- http://iphonedevwiki.net/index.php/Packaging#Telling_Cydia_to_respring.2Freboot_etc._after_install
+function finish() {
+ f="${1}"
+ [[ -z "${f}" || -z "${CYDIA}" ]] && return
+ cydia=(${CYDIA})
+ [[ ${cydia[1]} -eq 1 ]] || return
+ echo "finish:${f}" >&${cydia[0]}
+}
+
+if [[ "$1" == "remove" ]]; then
+ finish reboot
+fi